{% load staticfiles %}
{% load i18n %}
<nav class="navbar navbar-expand-lg navbar-dark fixed-top bg-primary ">
    <a class="navbar-brand" href="{% url 'homepage' %}">{% trans "Home" %}</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"
            aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarNav">
        {% if request.user.is_authenticated %}
        <ul class="nav navbar-nav">
            <li class="nav-item">
                <a class="nav-link" href="{% url 'author_adds' %}">{% trans "Add Author" %}</a>
            </li>
             <li class="nav-item">
                <a class="nav-link" href="{% url 'author_list' %}">{% trans "Author List" %}</a>
            </li>

            <li class="nav-item">
                <a class="nav-link" href="{% url 'document' %}">{% trans "Add Document" %}</a>
            </li>

                <li class="nav-item">
                <a class="nav-link" href="{% url 'document_list' %}">{% trans "Document List" %}</a>
            </li>


<li>
             <form action="{% url 'search' %}" method="get" class="form-inline my-2 my-lg-0"  >
<!--        <form action="#" method="get" class="form-inline my-2 my-lg-0">-->
              <input class="form-control mr-sm-2" name="q" type="search" placeholder="Search" aria-label="Search">
              <button style="background:grey " class="btn btn my-2 my-sm-0" type="submit">Search</button>


    </form>
        </li>
            {% endif %}
        </ul>

        <ul class="nav navbar-nav ml-auto">

            {% if request.user.is_authenticated %}
                <li class="nav-item">
                    <div class="btn-group btn-group-sm" role="group">
                        <a class="btn btn-secondary" href="{% url 'me' %}">{{ request.user.username }}</a>
                        <a class="btn btn-secondary" href="{% url 'logout' %}">{% trans "Logout" %}</a>


                    </div>
                </li>
            {% else %}
                <li class="nav-item">
                    <div class="btn-group btn-group-sm" role="group">
                        <a class="btn btn-secondary" href="{% url 'register' %}">{% trans "Register" %}</a>
                        <a class="btn btn-secondary" href="{% url 'login' %}">{% trans "Login" %}</a>
                    </div>
                </li>
            {% endif %}
        </ul>
    </div>
</nav>
